<?php
if ( ! defined( 'ABSPATH' ) ) exit;

/*-----------------------------------------------------------------------------------*/
/* Start templatation Functions - Please refrain from editing this section */
/*-----------------------------------------------------------------------------------*/

// ttFramework init
	require_once ( get_template_directory() . '/includes/constants.php' ); // Theme constants
	require_once ( JS_THEME_PATH . '/functions/dashboard.php' );
	require_once ( JS_THEME_PATH . '/functions/admin-init.php' );

/*-----------------------------------------------------------------------------------*/
/* Load the theme-specific files, with support for overriding via a child theme.
/*-----------------------------------------------------------------------------------*/

$includes = array(
				'includes/redux/admin-init.php', 		    // Theme options
				'includes/cs-framework/cs-framework.php', 	// Meta options
				'includes/theme-functions.php', 		    // Custom theme functions
				'includes/theme-actions.php', 			    // Theme actions & user defined hooks
				'includes/theme-comments.php', 			    // Custom comments/pingback loop
				'includes/theme-js.php', 				    // Load JavaScript via wp_enqueue_script
				'includes/sidebar-init.php', 		    	// Initialize widgetized areas
				'includes/theme-widgets.php',		    	// Theme widgets
				'includes/theme-essentials.php',		    // Theme Essentials
				);

// Allow child themes/plugins to add widgets to be loaded.
$includes = apply_filters( 'tt_includes', $includes );

foreach ( $includes as $i ) {
	locate_template( $i, true );
}
if ( is_woocommerce_activated() ) {
	locate_template( 'includes/theme-woocommerce.php', true );
}

/*-----------------------------------------------------------------------------------*/
/* You can add custom functions below. */
/*-----------------------------------------------------------------------------------*/







/*-----------------------------------------------------------------------------------*/
/* Don't add any code below here. */
/*-----------------------------------------------------------------------------------*/


