<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */
function tt_fl_category_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => __("Custom category block", 'flowershop'),
			"base" => "tt_fl_category_shortcode",
			'description' => __( 'Image with title/link', 'flowershop' ),
			"category" => __('Added by JS'),
			"params" => array(
                array(
                    'type' => 'attach_image',
                    'heading' => __( 'Category image', 'flowershop' ),
                    'param_name' => 'image',
                    'value' => '',
                    'description' => __( 'Select image from media library.', 'flowershop' ),
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => __( 'Category link', 'flowershop' ),
                    'param_name' => 'url',
                    'value' => '',
                    'description' => __( 'Enter category link', 'flowershop' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Extra class name', 'flowershop' ),
                    'param_name' => 'el_class',
                    'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'flowershop' ),
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => __( 'Css', 'flowershop' ),
                    'param_name' => 'css',
                    'group' => __( 'Design options', 'flowershop' ),
                ),
			)
		)
	);
	
}
add_action( 'vc_before_init', 'tt_fl_category_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_fl_category_shortcode extends WPBakeryShortCode {
	}
}