<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */

function tt_fl_process_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => __("Our process", 'templatation'),
			"base" => "tt_fl_process_shortcode",
			'description' => __( 'Our process', 'templatation' ),
			"category" => __('Added by JS'),
			"params" => array(
                array(
                    'type' => 'attach_image',
                    'heading' => __( 'Process image', 'templatation' ),
                    'param_name' => 'image',
                    'value' => '',
                    'description' => __( 'Select image from media library.', 'templatation' ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Title', 'templatation' ),
                    'param_name' => 'title',
                    'value' => '',
                    'admin_label' => true,
                    'description' => __( 'Title process', 'templatation' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Number', 'templatation' ),
                    'param_name' => 'num',
                    'value' => '',
                    'description' => __( 'Number process', 'templatation' )
                ),
                array(
                    'type' => 'textarea',
                    'heading' => __( 'Text info', 'templatation' ),
                    'param_name' => 'text',
                    'value' => '',
                    'description' => __( 'Text process', 'templatation' )
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => __( 'Css', 'templatation' ),
                    'param_name' => 'css',
                    'group' => __( 'Design options', 'templatation' ),
                ),

			)
		)
	);
}

add_action( 'vc_before_init', 'tt_fl_process_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_fl_process_shortcode extends WPBakeryShortCode {
	}
}