<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */
function tt_hp_ft_prod_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => __("Homepage Featured Product", 'templatation'),
			"base" => "tt_hp_ft_prod_shortcode",
			"category" => __('Added by JS'),
			"params" => array(
                    array(
                        "type"       => "checkbox",
                        "heading"    => __ ( "This displays the Featured Products section that appears on homepage on main demo. Its useful if you do not want to use Custom Homepage template and want to build your own homepage. ", 'templatation' ),
                        "description"    => __ ( "Above field is for information purpose only.", 'templatation' ),
                        "param_name" => "inffoo3",
                        "value"      => 'ok'
                    ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Title', 'flowershop' ),
                    'param_name' => 'title',
                    'value' => '',
                    'admin_label' => true,
                    'description' => __( 'Enter Title', 'flowershop' )
                ),
			)
		)
	);
	
}
add_action( 'vc_before_init', 'tt_hp_ft_prod_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_hp_ft_prod_shortcode extends WPBakeryShortCode {
	}
}