<?php
if ( ! defined( 'ABSPATH' ) ) exit; 
/**
 * Sidebar Template
 *
 * If a `primary` widget area is active and has widgets, display the sidebar.
 *
 * @package wooFramework
 * @subpackage Template
 */
	global $tt_options;

	if ( isset( $tt_options['tt_layout'] ) && ( $tt_options['tt_layout'] != 'layout-full' ) ) {
?>	
<aside id="sidebar" class="col-right">

	<?php woo_sidebar_inside_before(); ?>

	<?php if ( is_active_sidebar( 'primary' ) ) { ?>
    <div class="primary">
		<?php dynamic_sidebar( 'primary' ); ?>
	</div>        
	<?php } // End IF Statement ?>   
	
	<?php woo_sidebar_inside_after(); ?>
	
</aside><!-- /#sidebar -->
<?php } // End IF Statement ?>