<?php
/*
 * Templatation.com
 *
 * Title with separator shortcode for VC
 *
 */
$image = $title = $num = $text = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

$img = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';

?>

<div class="tt-product clearfix padding-top-20 padding-bottom-20 margin-bottom-50 <?php print esc_html($css_class); ?>">
    <?php if(!empty($img)) { ?>
    <a class="tt-product-image" href="#"><img src="<?php print esc_url($img); ?>" alt=""></a>
    <?php } ?>
    <div class="tt-product-info padding-top-10">
        <?php if(!empty($title)) { ?>
        <a class="tt-product-title margin-bottom-10" ><span><?php print esc_html($num); ?></span> <?php esc_html_e( '-', 'templatation' ); ?> <?php print esc_html($title); ?></a>
        <?php } ?>
        <?php if(!empty($text)) { ?>
        <div class="simple-article font-2 middle light-grey">
            <p><?php print esc_html($text); ?>.</p>
        </div>
        <?php } ?>
    </div>
</div>