<?php
/**
 * justshoppe functions and definitions
 *
 * @package justshoppe
 */

/**
 * Theme setup and custom theme supports.
 */
require get_template_directory() . '/helpers/setup.php';

/**
 * Theme custom customiser.
 */
require get_template_directory() . '/helpers/theme-customizer.php';

/**
 * Metaboxes
 */
require get_template_directory() . '/helpers/theme-metabox.php';

/**
 * Custom functions for smooth running of theme.
 */
require get_template_directory() . '/helpers/theme-essentials.php';

/**
 * TGM class for plugin includes.
 */
if( is_admin() ){
	if (!( class_exists( 'TGM_Plugin_Activation' ) ))
		include_once get_template_directory(). '/helpers/tgm-activation/tt-plugins.php';   // Theme Essentials
}

add_filter( 'breadcrumb_trail_inline_style', '__return_false' );
