<?php
if ( ! defined( 'ABSPATH' ) ) exit;

/*-----------------------------------------------------------------------------------*/
/* Theme additional enqueue! */
/*-----------------------------------------------------------------------------------*/

/* Enable this file in parent init.php file if needed. */

function justshoppe_scripts() {

			/**
			 * Styles
			 */

	//		wp_enqueue_style( 'bootstrap-modified', get_template_directory_uri() . '/assets/css/bootstrap-modified.min.css', '', JUSTSHOPPE_VERSION );
	//		wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/assets/css/owl.min.css', '', JUSTSHOPPE_VERSION );
	//		wp_enqueue_style( 'owl.carousel', get_template_directory_uri() . '/assets/vendors/owl-carousel/assets/owl.carousel.min.css', '', JUSTSHOPPE_VERSION );
	//		wp_enqueue_style( 'magnific-popup', get_template_directory_uri() . '/assets/vendors/popup/magnific-popup.css', '', JUSTSHOPPE_VERSION );
	//		wp_enqueue_style( 'nice-select', get_template_directory_uri() . '/assets/vendors/nice-select/css/nice-select.css', '', JUSTSHOPPE_VERSION );
      wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/assets/css/fontawesome.css', '', JUSTSHOPPE_VERSION);
	//		wp_enqueue_style( 'justshoppe-style', get_template_directory_uri() . '/style.css', '', JUSTSHOPPE_VERSION );
	//		wp_style_add_data( 'justshoppe-style', 'rtl', 'replace' );

	//		wp_enqueue_style( 'justshoppe-styles', get_template_directory_uri() . '/assets/css/themestyles.css', '', JUSTSHOPPE_VERSION );
	//		wp_enqueue_style( 'justshoppe-responsive', get_template_directory_uri() . '/assets/css/responsive.css', '', JUSTSHOPPE_VERSION );


			/**
			 * Scripts
			 */
			$suffix = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';


	//	wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.min.js', array(), '0.4.3', true );
	//	wp_enqueue_script( 'magnific-popup', get_template_directory_uri() . '/assets/vendors/popup/jquery.magnific-popup.min.js', array(), '0.4.3', true );
	//	wp_enqueue_script( 'owl.carousel', get_template_directory_uri() . '/assets/vendors/owl-carousel/owl.carousel.min.js', array(), '0.4.3', true );
	//	wp_enqueue_script( 'nice-select', get_template_directory_uri() . '/assets/vendors/nice-select/js/jquery.nice-select.min.js', array(), '0.4.3', true );
	//	wp_enqueue_script( 'waypoints', get_template_directory_uri() . '/assets/vendors/counterup/jquery.waypoints.min.js', array(), '0.4.3', true );
	//	wp_enqueue_script( 'counterup', get_template_directory_uri() . '/assets/vendors/counterup/jquery.counterup.min.js', array(), '0.4.3', true );
	//	wp_enqueue_script( 'jquery-pep', get_template_directory_uri() . '/assets/js/vendors/pep.min.js', array(), '0.4.3', true );
	//	wp_enqueue_script( 'justshoppe-theme-alt', get_template_directory_uri() . '/assets/js/theme.js', array(), '0.4.3', true );




    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }

	//wp_enqueue_style( 'justshoppe-fonts', justshoppe_tt_g_fonts(), array(), null );

}

add_action( 'wp_enqueue_scripts', 'justshoppe_scripts' );

if ( ! function_exists( 'justshoppe_tt_g_fonts' ) ) {
	/**
	 * @return string Google fonts URL for the theme.
	 */
	function justshoppe_tt_g_fonts() {

		$fonts_url = '';
		$fonts     = array();
		$subsets   = 'latin,latin-ext';

		/* translators: If there are characters in your language that are not supported by Merriweather, translate this to 'off'. Do not translate into your own language. */
		if ( 'off' !== _x( 'on', 'Google font: on or off', 'justshoppe' ) ) {
			$fonts[] = 'Lora:400,400i';
			$fonts[] = 'Open Sans:300,400,400i,600,600i,700';
			$fonts[] = 'Playfair Display:400,400i,700';
			$fonts[] = 'Poppins:400,400i,500,500i,600,600i,700';
		}
		if ( $fonts ) {
			$fonts_url = add_query_arg( array(
				'family' => urlencode( implode( '|', $fonts ) ),
				'subset' => urlencode( $subsets ),
			), 'https://fonts.googleapis.com/css' );
		}

		return $fonts_url;
	}
}
