<?php
/**
 * Content header template.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

$elements = justshoppe_get_current_page_setting( 'content_header', array() );

if ( empty( $elements ) ) {
	return;
}
?>
<div class="<?php echo esc_attr( implode( ' ', apply_filters( 'justshoppe/frontend/content_header_classes', array( 'content-header' ) ) ) ); ?>">
	<?php
	/**
	 * Hook: justshoppe/frontend/content_header
	 */
	do_action( 'justshoppe/frontend/content_header' );
	?>
</div>