<?php
/**
 * Header free text (HTML) template.
 *
 * Passed variables:
 *
 * @type string $element Header element.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<div class="<?php echo esc_attr( 'justshoppe-header-' . $element ); ?>">
	<div><?php echo do_shortcode( justshoppe_get_theme_mod( 'header_' . str_replace( '-', '_', $element ) . '_content' ) ); ?></div>
</div>