<?php
/**
 * Mobile header vertical toggle template.
 *
 * Passed variables:
 *
 * @type string $element Header element.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<div class="<?php echo esc_attr( 'justshoppe-header-' . $element ); ?>">
	<button class="justshoppe-popup-toggle justshoppe-toggle" data-target="mobile-vertical-header" aria-expanded="false">
		<?php justshoppe_icon( 'menu', array( 'class' => 'justshoppe-menu-icon' ) ); ?>
		<span class="screen-reader-text"><?php esc_html_e( 'Mobile Menu', 'justshoppe' ); ?></span>
	</button>
</div>