<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * The default template for displaying content
 */

	global $tt_options;
?>

            <article <?php post_class(); ?>>

                <section class="entry">
	            <?php
	            // Get LC data
	            $page_id = get_the_ID();
				$lc_code = get_post_meta( $page_id, 'dslc_code', true );
				$lc_template = get_post_meta( $page_id, 'dslc_post_template', true );
				$tt_post_type = get_post_type( $page_id );

				// fall-back from LC. we still need to show content by default even if user just created a new page.
				if ( (!$lc_code && !$lc_template) && !( defined('DS_LIVE_COMPOSER_ACTIVE') && DS_LIVE_COMPOSER_ACTIVE ) && ($tt_post_type != 'post') ) {
					// echo default styled content.
					echo templatation_post_thumb();
					templatation_page_title();
					the_content();
	                // Determine wether or not to display comments here, based on "Theme Options".
	                if ( isset( $tt_options['tt_comments'] ) && in_array( $tt_options['tt_comments'], array( 'page', 'both' ) ) ) {
	                    comments_template();
	                }
				} else { // show LC content
					the_content();
				}

	            wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'templatation' ), 'after' => '</div>' ) ); ?>
               	</section><!-- /.entry -->

            </article><!-- /.post -->
