<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * The default template for displaying content
 */
	global $tt_options;
?>

<article <?php post_class(); ?>>

	<div class="post-content">

		<section class="entry">
			<?php
				// if LC is not active / its a blog listing page.
				 if( function_exists('templatation_post_thumb')) echo templatation_post_thumb(); //render post thumb
				      if( function_exists('templatation_post_title')) templatation_post_title(); //render post title

				if ( isset( $tt_options['tt_post_content'] ) && $tt_options['tt_post_content'] == 'content' ) {
					the_content( __( 'Continue Reading &rarr;', 'templatation' ) );
				} else {
					the_excerpt();
				}; ?>
				<footer class="post-more">
					<?php if ( isset( $tt_options['tt_post_content'] ) && $tt_options['tt_post_content'] == 'excerpt' ) { ?>
						<span class="read-more"><a href="<?php the_permalink(); ?>" title="<?php esc_attr_e( 'Continue Reading &rarr;', 'templatation' ); ?>"><?php _e( 'Continue Reading &rarr;', 'templatation' ); ?></a></span>
					<?php } ?>
				</footer>

		</section>

	</div><!--/.post-content-->

</article><!-- /.post -->