<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */

function tt_fl_contact_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => __("Contact box", 'templatation'),
			"base" => "tt_fl_contact_shortcode",
			'description' => __( 'Contact information', 'templatation' ),
			"category" => __('Added by JS'),
			"params" => array(

				array(
					'type' => 'textfield',
					'heading' => __( 'Contact title', 'templatation' ),
					'param_name' => 'title',
					'value' => '',
					'description' => __( 'Enter title name', 'templatation' ),
					'dependency'  => array( 'element' => 'contact_type', 'value' => array('type_2') )
				),
                array(
                    'type' => 'textarea_html',
                    'heading' => __( 'Contact info', 'templatation' ),
                    'param_name' => 'content',
                    'value' => '',
					'admin_label' => true,
                    'description' => __( 'Contact info', 'templatation' )
                ),
				array(
					'type'        => 'iconpicker',
					'heading'     => __( 'Type icon', 'templatation' ),
					'param_name'  => 'type_icon',
					'value'       => '',
					'settings' => array(
						'emptyIcon' => false,
						'iconsPerPage' => 300,
					),
				),
				array(
					'type'        => 'colorpicker',
					'heading'     => __( 'Icon color', 'templatation' ),
					'param_name'  => 'iconcolor',
					'value'       => '',
				),
				array(
					'type' => 'textfield',
					'heading' => __( 'Extra class name', 'templatation' ),
					'param_name' => 'el_class',
					'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'templatation' ),
				),
				array(
					'type' => 'css_editor',
					'heading' => __( 'Css', 'templatation' ),
					'param_name' => 'css',
					'group' => __( 'Design options', 'templatation' ),
				),
			)
		)
	);
}

add_action( 'vc_before_init', 'tt_fl_contact_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_fl_contact_shortcode extends WPBakeryShortCode {
	}
}