<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */

function tt_fl_price_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => __("Pricing plan", 'templatation'),
			"base" => "tt_fl_price_shortcode",
			'description' => __( 'Pricing plan box', 'templatation' ),
			"category" => __('Added by JS'),
			"params" => array(
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Name plan', 'templatation' ),
                    'param_name' => 'title',
                    'value' => '',
                    'admin_label' => true,
                    'description' => __( 'Enter pricing plane name', 'templatation' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Price plan', 'templatation' ),
                    'param_name' => 'price',
                    'value' => '',
                    'description' => __( 'Enter price for this plan', 'templatation' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Currency', 'templatation' ),
                    'param_name' => 'currency',
                    'value' => '',
                    'description' => __( 'Enter currency, eg: $', 'templatation' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Duration', 'templatation' ),
                    'param_name' => 'duration',
                    'value' => '',
                    'description' => __( 'The cycle of billing, eg Monthly/yearly', 'templatation' )
                ),
                array(
                    'type' => 'textarea_html',
                    'heading' => __( 'Detail plan', 'templatation' ),
                    'param_name' => 'content',
                    'value' => '',
                    'description' => __( 'Please create bulleted list', 'templatation' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Text button', 'templatation' ),
                    'param_name' => 'text',
                    'value' => '',
                    'description' => __( 'Label of the button', 'templatation' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Link btn', 'templatation' ),
                    'param_name' => 'link',
                    'value' => '',
                    'description' => __( 'Enter link for button', 'templatation' )
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => __( 'Css', 'templatation' ),
                    'param_name' => 'css',
                    'group' => __( 'Design options', 'templatation' ),
                ),
			)
		)
	);
	
}
add_action( 'vc_before_init', 'tt_fl_price_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_fl_price_shortcode extends WPBakeryShortCode {
	}
}