<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */
function tt_js_hp_about_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => __("Homepage About", 'templatation'),
			"base" => "tt_js_hp_about_shortcode",
			'description' => __( 'About section of homepage', 'templatation' ),
			"category" => __('Added by JS'),
			"params" => array(
                    array(
                        "type"       => "checkbox",
                        "heading"    => __ ( "This displays the About/testimonial section that appears on homepage on main demo. Its useful if you do not want to use Custom Homepage template and want to build your own homepage. Please note the actual content for About section can be controlled from Themeoption in wp-admin.", 'templatation' ),
                        "description"    => __ ( "Above field is for information purpose only.", 'templatation' ),
                        "param_name" => "inffoo3",
                        "value"      => 'ok'
                    ),
			)
		)
	);
	
}
add_action( 'vc_before_init', 'tt_js_hp_about_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_js_hp_about_shortcode extends WPBakeryShortCode {
	}
}