<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * Template Name: Contact/Plugins
 *
 * The contact form page template displays the a
 * simple contact form in your website's content area.
 *
 * @package wooFramework
 * @subpackage Template
 */
 
global $tt_options;
get_header();

?>
    <div id="content" class="col-full">
    	
    	<?php woo_main_before(); ?>
    
		<section id="main" class="col-left">

            <article id="contact-page" class="type-page">

                <?php if ( have_posts() ) { ?>

                <?php while ( have_posts() ) { the_post(); ?>
                
					<?php templatation_page_title(); ?>

                        <section class="entry">
	                        <?php the_content(); ?>
                			
                			<div class="location-twitter fix">
    							<?php if ( isset( $tt_options['tt_contact_panel'] ) && $tt_options['tt_contact_panel'] == '1' ) { ?>
						    	<section id="office-location"<?php if ( ( isset( $tt_options['tt_contact_twitter'] ) && $tt_options['tt_contact_twitter'] != '' ) || ( isset($tt_options['tt_contact_subscribe_and_connect']) && $tt_options['tt_contact_subscribe_and_connect'] == '1' ) ) { ?> class="col-left"<?php } ?>>
									<?php if (isset($tt_options['tt_contact_title'])) { ?><h3><?php echo esc_html( $tt_options['tt_contact_title'] ); ?></h3><?php } ?>
									<ul>
										<?php if (isset($tt_options['tt_contact_title']) && $tt_options['tt_contact_title'] != '' ) { ?><li><?php echo nl2br( esc_html( $tt_options['tt_contact_address'] ) ); ?></li><?php } ?>
										<?php if (isset($tt_options['tt_contact_number']) && $tt_options['tt_contact_number'] != '' ) { ?><li><?php _e('Tel:','templatation'); ?> <?php echo esc_html( $tt_options['tt_contact_number'] ); ?></li><?php } ?>
										<?php if (isset($tt_options['tt_contact_fax']) && $tt_options['tt_contact_fax'] != '' ) { ?><li><?php _e('Fax:','templatation'); ?> <?php echo esc_html( $tt_options['tt_contact_fax'] ); ?></li><?php } ?>
										<?php if (isset($tt_options['tt_contactform_email']) && $tt_options['tt_contactform_email'] != '' ) { ?><li><?php _e('Email:','templatation'); ?> <a href="mailto:<?php echo esc_attr( $tt_options['tt_contactform_email'] ); ?>"><?php echo esc_html( $tt_options['tt_contactform_email'] ); ?></a></li><?php } ?>
									</ul>
						    	</section>
						    	<?php } ?>
						    	<div class="contact-social<?php if ( ( isset( $tt_options['tt_contact_panel'] ) && $tt_options['tt_contact_panel'] == '1' ) && ( ( isset( $tt_options['tt_contact_twitter'] ) && $tt_options['tt_contact_twitter'] != '' ) || ( isset($tt_options['tt_contact_subscribe_and_connect']) && $tt_options['tt_contact_subscribe_and_connect'] == '1' ) ) ) { ?> col-right<?php } ?>">
						    	
						    		<?php if ( isset( $tt_options['tt_contact_twitter'] ) && $tt_options['tt_contact_twitter'] != '' ) { ?>
						    		<section id="twitter">
										<?php  if ( shortcode_exists( $tt_options['tt_contact_twitter'] ) ) { echo do_shortcode( $tt_options['tt_contact_twitter'] ); } ?>
						    		</section>
						    		<?php } ?>
						    		<?php if ( isset($tt_options['tt_contact_subscribe_and_connect']) && $tt_options['tt_contact_subscribe_and_connect'] == '1' ) { woo_subscribe_connect(); } ?>
						    	
						    	</div>
						    	
						    	</div><!-- /.location-twitter -->
	                        
                        </section>
                        <div class="tt-sc-hr"></div>
                    <?php templatation_gmap(); ?>

					<?php
					// check if entered shortcode is valid.
					if( !empty($tt_options['tt_contact_pluginSC'] )) {
						$contact_pluginSC = explode( " ", $tt_options['tt_contact_pluginSC'] );
						$contact_pluginSC = substr($contact_pluginSC[0], 1);
						if( shortcode_exists( $contact_pluginSC )) echo do_shortcode( $tt_options['tt_contact_pluginSC'] );
					}
					?>

                    <?php
                    		} // End WHILE Loop
                    	}
                    ?>

            </article><!-- /#contact-page -->
		</section><!-- /#main -->
		
		<?php woo_main_after(); ?>

        <?php get_sidebar(); ?>

    </div><!-- /#content -->

<?php get_footer(); ?>