<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * Template Name: Full Width-No Sidebar
 *
 * This template is a full-width version of the page.php template file. It removes the sidebar area.
 *
 * @package wooFramework
 * @subpackage Template
 */
	get_header();
	global $tt_options;
?>

    <div id="content" class="page col-full">

    	<?php woo_main_before(); ?>

		<section id="main" class="fullwidth">

        <?php
        	if ( have_posts() ) { $count = 0;
        		while ( have_posts() ) { the_post(); $count++;
        ?>
                <article <?php post_class(); ?>>

                    <section class="entry">

						<?php templatation_page_title(); ?>

	                	<?php the_content(); ?>

	               	</section><!-- /.entry -->

                </article><!-- /.post -->

			<?php
			    	} // End WHILE Loop
				} else {
			?>
				<article <?php post_class(); ?>>
                	<p><?php _e( 'Sorry, no posts matched your criteria.', 'templatation' ); ?></p>
                </article><!-- /.post -->
            <?php } ?>

		</section><!-- /#main -->

		<?php woo_main_after(); ?>

    </div><!-- /#content -->

<?php get_footer(); ?>