<?php
/*
 * Templatation.com
 *
 * Block with image and effect shortcode for VC
 *
 */
$name = $link = $el_class = "";

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);
$url = ( '||' === $url ) ? '' : $url;
$url = vc_build_link( $url );

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );



$img = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
?>

<div class="<?php print esc_html($el_class); ?> <?php print esc_html($css_class); ?> tt-product-2 padding-bottom-10 margin-bottom-50">
    <div class="tt-product-2-imglink">
        <?php if (!empty($img)) { ?>
        <span class="tt-product-2-img round-hover">
            <img src="<?php print esc_html($img); ?>" alt="<?php echo justshop_tt_img_alt($image); ?>">
        </span>
        <?php } ?>
    </div>
    <?php if (!empty($url['title'])) { ?>
<a href="<?php if(!empty($url['url'])) echo esc_url($url['url'])?>"  target="<?php if(!empty($url['target'])) echo esc_html($url['target'])?>"  title="<?php if(!empty($url['title'])) echo esc_html($url['title'])?>" >
	<?php if(!empty($url['title'])) echo esc_html($url['title'])?>
	</a>
    <?php } ?>
</div>


