<?php
/*
 * Templatation.com
 *
 * Title with separator shortcode for VC
 *
 */
$image = $title = $iconcolor = $type_icon = $contact_type  = $el_class =  '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

$img = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';

?>


<div class="tt-contact padding-bottom-30 clearfix <?php print esc_html($el_class); ?>  <?php print esc_html($css_class); ?>">
    <div class="tt-contact-icon">
        <i style="<?php if( !empty($iconcolor)) echo 'color: '. esc_html($iconcolor).';'; ?><?php if( !empty($iconcolor)) echo 'border-color: '. esc_html($iconcolor).';'; ?>" class="<?php print esc_html($type_icon); ?>"></i>

    </div>
    <div class="tt-contact-info">
        <?php print wpautop(do_shortcode(htmlspecialchars_decode($content))); ?>
    </div>
</div>