<?php
/*
 * Templatation.com
 *
 * Block with image and effect shortcode for VC
 *
 */
$description = $image = $link = $title = $el_class = '';

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

$img = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
?>

<div class="tt-feature-2 margin-bottom-50 <?php print esc_html($el_class); ?> <?php print esc_html($css_class); ?>" >
    <a class="tt-feature-2-imgage" href="<?php print esc_url($link); ?>">
        <div class="tt-feature-2-img">
            <?php if (!empty($img)) { ?>
                <img src="<?php print esc_html($img); ?>" alt="">
            <?php } ?>
        </div>
    </a>
    <?php if (!empty($title)) { ?>
    <a class="tt-feature-2-title" href="<?php print esc_url($link); ?>"><?php print esc_html($title); ?></a>
    <?php } ?>
    <?php if (!empty($description)) { ?>
    <div class="simple-article font-2 middle color-6 text-center">
        <p><?php print do_shortcode($description); ?></p>
    </div>
    <?php } ?>
</div>


