<?php
/*
 * Templatation.com
 *
 * Title with separator shortcode for VC
 *
 */
$title = $link  = $price = $text = $currency = $duration = '';

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

?>

<div class="tt-price <?php print esc_html($css_class); ?>">
    <?php if(!empty($title)) { ?>
    <h5 class="tt-price-title"><?php print esc_html($title); ?></h5>
    <?php } ?>
    <?php if(!empty($price)) { ?>
    <div class="tt-price-round">
        <div class="tt-price-count">
            <div class="tt-price-number"><span><?php print esc_html($currency); ?></span><?php print esc_html($price); ?></div>
            <div class="tt-price-mounth"><?php print esc_html($duration); ?></div>
        </div>
    </div>
    <?php } ?>
    <ul class="tt-price-list">
        <?php print wpautop(do_shortcode(htmlspecialchars_decode($content))); ?>
    </ul>
    <?php if(!empty($text)) { ?>
    <a class="button font-2 color-9 style-1" href="<?php print esc_html($link); ?>"><?php print esc_html($text); ?></a>
    <?php } ?>
</div>




