<?php
/*
 * Templatation.com
 *
 * Title with separator shortcode for VC
 *
 */
$image = $title = $el_class = $serv_type = $text = $btn_text = $link = '';

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );


$img = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';

?>

<?php if ($serv_type == 'type_1') { ?>
    <div class="tt-service-post margin-bottom-45 <?php print esc_html($css_class); ?> <?php print esc_url($el_class); ?>">
        <?php if (!empty($img)) { ?>
            <a class="tt-service-post-img border-image-2 border-image-3" href="<?php print esc_url($link); ?>">
        <span>
            <img class="img-responsive" src="<?php print esc_url($img); ?>" alt="">
        </span>
            </a>
        <?php } ?>
        <?php if (!empty($title)) { ?>
            <a class="tt-service-post-link" href="<?php print esc_url($link); ?>"><?php print esc_html($title); ?></a>
        <?php } ?>
        <?php if (!empty($text)) { ?>
            <div class="simple-article font-2 middle color-6">
                <p><?php print do_shortcode($text); ?></p>
            </div>
        <?php } ?>
    </div>
<?php } ?>

<?php if ($serv_type == 'type_2') { ?>
    <div class="tt-feature margin-bottom-50 <?php print esc_url($el_class); ?>">
        <?php if (!empty($img)) { ?>
        <div class="tt-feature-img background-block" style="background-image:url(<?php print esc_url($img); ?>);"></div>
        <?php } ?>
        <div class="tt-feature-inner">
            <?php if (!empty($title)) { ?>
                <a class="tt-feature-link" href="<?php print esc_url($link); ?>"><?php print esc_html($title); ?></a>
            <?php } ?>
            <?php if (!empty($text)) { ?>
            <div class="simple-article font-2 middle color-6">
                <p><?php print do_shortcode($text); ?></p>
            </div>
            <?php } ?>
        </div>
    </div>
<?php } ?>

