<?php
/**
 * Single Product Share
 *
 * Sharing plugins can hook into here or you can add your own code directly.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/share.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.5.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $tt_options;

		if ( !isset( $tt_options['tt_default_sharing_button'] ) || ('1' == $tt_options['tt_default_sharing_button']) ) { ?>

		<div class="shop-sharebox">
					<?php if( shortcode_exists('tt_twitter') ) echo do_shortcode('[tt_twitter use_post_url="true" float="left"]'); ?>
					<?php if( shortcode_exists('tt_fblike') ) echo do_shortcode('[tt_fblike style="button_count" float="left"]'); ?>
		</div>
		<?php } ?>

<?php do_action( 'woocommerce_share' ); // Sharing plugins can hook into here ?>