<?php
/**
 * Customizer custom control: Horizontal Line
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Justshoppe_Customize_Control_HR' ) ) :
/**
 * Horizontal line control class
 */
class Justshoppe_Customize_Control_HR extends Justshoppe_Customize_Control {
	/**
	 * @var string
	 */
	public $type = 'justshoppe-hr';

	/**
	 * Render control's content
	 */
	protected function render_content() {
		?><hr><?php
	}
}
endif;