<?php
/**
 * Content section opening tag template.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<div id="content" class="<?php echo esc_attr( implode( ' ', apply_filters( 'justshoppe/frontend/content_classes', array( 'justshoppe-content', 'site-content', 'justshoppe-section' ) ) ) ); ?>">

	<?php
	/**
	 * Hero Section
	 */

	if ( intval( justshoppe_get_current_page_setting( 'hero' ) ) ) {
		justshoppe_hero();
	}
	?>

	<div class="justshoppe-content-inner justshoppe-section-inner">
		<div class="justshoppe-wrapper">

			<?php
			/**
			 * Hook: justshoppe/frontend/before_primary_and_sidebar
			 */
			do_action( 'justshoppe/frontend/before_primary_and_sidebar' );
			?> 

			<div class="justshoppe-content-row">