<?php
/**
 * Template used to display post content on single pages.
 *
 * @package justshoppe
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php
	do_action( 'justshoppe_single_post_top' );

	/**
	 * Display post header content.
	 *
	 */
	justshoppe_post_header();

	/**
	 * Display post thumbnail.
	 *
	 */
	justshoppe_post_thumbnail();

	/**
	 * Display post content.
	 *
	 */
	justshoppe_post_content();

	do_action( 'justshoppe_single_post' );

	/**
	 * Display post taxonomy.
	 *
	 */
	justshoppe_post_taxonomy();

	/**
	 * Display post navigation.
	 *
	 */
	justshoppe_post_nav();

	/**
	 * Display comments.
	 *
	 */
	justshoppe_display_comments();

	do_action( 'justshoppe_single_post_bottom' );
	?>

</article><!-- #post-## -->
