<?php
/**
 * Main header sections template.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<div id="header" class="<?php echo esc_attr( implode( ' ', apply_filters( 'justshoppe/frontend/header_classes', array( 'justshoppe-header-main', 'justshoppe-header' ) ) ) ); ?>">
	<?php
	// Top Bar (if not merged)
	if ( ! intval( justshoppe_get_theme_mod( 'header_top_bar_merged' ) ) ) {
		justshoppe_main_header__top_bar();
	}

	// Main Bar
	justshoppe_main_header__main_bar();

	// Bottom Bar (if not merged)
	if ( ! intval( justshoppe_get_theme_mod( 'header_bottom_bar_merged' ) ) ) {
		justshoppe_main_header__bottom_bar();
	}
	?>
</div> 