<?php
/**
 * Header logo template.
 *
 * Passed variables:
 *
 * @type string $element Header element.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<div class="<?php echo esc_attr( 'justshoppe-header-' . $element ); ?> site-branding menu">
	<<?php echo is_front_page() && is_home() ? 'h1' : 'div'; ?> class="site-title menu-item h1">
		<a href="<?php echo esc_url( apply_filters( 'justshoppe/frontend/logo_url', home_url( '/' ) ) ); ?>" rel="home" class="justshoppe-menu-item-link">
			<?php
			/**
			 * Hook: justshoppe/frontend/logo
			 *
			 * @hooked justshoppe_default_logo - 10
			 */
			do_action( 'justshoppe/frontend/logo' );
			?>
		</a>
	</<?php echo is_front_page() && is_home() ? 'h1' : 'div'; ?>>
</div>