<?php
/**
 * Header search dropdown template.
 *
 * Passed variables:
 *
 * @type string $element Header element.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<div class="<?php echo esc_attr( 'justshoppe-header-' . $element ); ?> justshoppe-header-search menu justshoppe-toggle-menu">
	<div class="menu-item">
		<button class="justshoppe-sub-menu-toggle justshoppe-toggle" aria-expanded="false">
			<?php justshoppe_icon( 'search', array( 'class' => 'justshoppe-menu-icon' ) ); ?>
			<span class="screen-reader-text"><?php esc_html_e( 'Search', 'justshoppe' ); ?></span>
		</button>
		<div class="sub-menu"><?php get_search_form(); ?></div>
	</div>
</div>