<?php
/**
 * Hero section template.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<section id="hero" class="<?php echo esc_attr( implode( ' ', apply_filters( 'justshoppe/frontend/hero_classes', array( 'justshoppe-hero' ) ) ) ); ?>" role="region" aria-label="<?php esc_attr_e( 'Hero Section', 'justshoppe' ); ?>">
	<div class="justshoppe-hero-inner justshoppe-section-inner">
		<div class="justshoppe-wrapper">
			<?php justshoppe_get_template_part( 'content-header' ) ?>
		</div>
	</div>
</section>