<?php
/**
 * Scoll to top button template.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<a href="#page" class="<?php echo esc_attr( implode( ' ', apply_filters( 'justshoppe/frontend/scroll_to_top_classes', array( 'justshoppe-scroll-to-top' ) ) ) ); ?>">
	<?php justshoppe_icon( 'chevron-up' ); ?>
	<span class="screen-reader-text"><?php esc_html_e( 'Back to Top', 'justshoppe' ); ?></span>
</a>